﻿Public Class cVaxCall

    Public Sub New()
    End Sub

    '///////////////////////////////////////////////////////////////////////////////////////

    Public Sub OnIncomingCall(ByVal nSessionId As Integer, ByVal sCallerName As String, ByVal sCallerId As String, ByVal sDialNo As String, ByVal nFromPeerType As Integer, ByVal sFromPeerName As String, ByVal nToPeerType As Integer, ByVal sToPeerName As String, ByRef bProcessed As Boolean)

        bProcessed = False

        '//////////////////////////////////////////////////////////////////////

        If (nToPeerType = cVaxServerCOM.VAX_PEER_TYPE_LINE) Then
            sCallerName = ""
            sCallerId = ""
            '// Let AcceptCallSession() use DisplayName & UserName values of LINE as CallerName & CallerId. Required by the ITSP (IP-Telephony service provider).
        End If

        '//////////////////////////////////////////////////////////////////////

        If (cVaxServerExCOM.m_objServerExCOM.AcceptCallSession(nSessionId, sCallerName, sCallerId, sDialNo, nToPeerType, sToPeerName) = False) Then
            cVaxServerExCOM.m_objServerExCOM.RejectCallSession(nSessionId, 404, "Not Found")
            Return
        End If

        bProcessed = True

    End Sub

    Public Sub OnCallSessionCreated(ByVal nSessionId As Integer, ByVal nReasonCode As Integer)
    End Sub

    Public Sub OnCallSessionConnecting(ByVal nSessionId As Integer, ByVal nChannelId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)
        cVaxServerExCOM.m_objServerExCOM.CallSessionSendStatusResponse(nSessionId, nStatusCode, sReasonPhrase, "")
    End Sub

    Public Sub OnCallSessionFailed(ByVal nSessionId As Integer, ByVal nChannelId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)
        cVaxServerExCOM.m_objServerExCOM.CallSessionSendStatusResponse(nSessionId, nStatusCode, sReasonPhrase, "")
    End Sub

    Public Sub OnCallSessionConnected(ByVal nSessionId As Integer)
    End Sub

    Public Sub OnCallSessionClosed(ByVal nSessionId As Integer, ByVal nChannelId As Integer, ByVal nReasonCode As Integer)
    End Sub

    Public Sub OnCallSessionLost(ByVal nSessionId As Integer, ByVal nChannelId As Integer)
    End Sub

    Public Sub OnCallSessionHangup(ByVal nSessionId As Integer, ByVal nChannelId As Integer)
    End Sub

    Public Sub OnCallSessionTimeout(ByVal nSessionId As Integer, ByVal nChannelId As Integer)
    End Sub

    Public Sub OnCallSessionCancelled(ByVal nSessionId As Integer)
    End Sub

    Public Sub OnCallSessionOpenCall(ByVal nSessionId As Integer, ByVal nChannelId As Integer, ByVal nPeerType As Integer, ByVal sPeerName As String)
    End Sub

    Public Sub OnCallSessionCloseCall(ByVal nSessionId As Integer, ByVal nChannelId As Integer, ByVal nPeerType As Integer, ByVal sPeerName As String)
    End Sub

End Class
