﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServerSIP
{
    class cRingGroupUserDetails
    {
        public string m_sUserName;

        public cRingGroupUserDetails(string sUserName)
        {
            m_sUserName = sUserName;
        }
        ~cRingGroupUserDetails()
        { 
        }
    }

    /// <summary>
    /// /////////////////////////////////////////////////////////////////////////////
    /// </summary>
    /// 
    class cRingGroupUserList
    {
        Dictionary<string, cRingGroupUserDetails> m_objRingGroupUserList = new Dictionary<string, cRingGroupUserDetails>();

        public bool AddAgent(string sUserName)
        {
            cRingGroupUserDetails pRingGroupUserDetails = null;

            m_objRingGroupUserList.TryGetValue(sUserName, out pRingGroupUserDetails);

            if(pRingGroupUserDetails == null)
            {
                pRingGroupUserDetails = new cRingGroupUserDetails(sUserName);
                m_objRingGroupUserList.Add(sUserName, pRingGroupUserDetails);
            }

            pRingGroupUserDetails.m_sUserName = sUserName;
            
            return true;
        }

        public void RemoveAll()
        {
            m_objRingGroupUserList.Clear();
        }

	    public void RemoveAgent(string sUserName)
        {
            cRingGroupUserDetails pRingGroupUserDetails = null;

            m_objRingGroupUserList.TryGetValue(sUserName, out pRingGroupUserDetails);

            if(pRingGroupUserDetails == null)
                return;

            m_objRingGroupUserList.Remove(sUserName);
        }

        public bool GetRingGroupAgentList(ref List<string> sUserNameList)
        {
            cRingGroupUserDetails pRingGroupUserDetails = null;

            foreach (KeyValuePair<string, cRingGroupUserDetails> sRingGroupUserName in m_objRingGroupUserList)
            {
                pRingGroupUserDetails = sRingGroupUserName.Value;
                sUserNameList.Add(pRingGroupUserDetails.m_sUserName);
            }

            return true;
        }

        public int GetCount()
        {
            return m_objRingGroupUserList.Count();
        }

        public string GetRingGroupAgentAt(int nIndex)
        {
            cRingGroupUserDetails pRingGroupUserDetails = null;

            if(m_objRingGroupUserList.Count() <= nIndex)
                return "";

            KeyValuePair<string, cRingGroupUserDetails> objRingGroupUserDetails = m_objRingGroupUserList.ElementAt(nIndex);

            pRingGroupUserDetails = objRingGroupUserDetails.Value;

            return pRingGroupUserDetails.m_sUserName;

            
        }
    }
}
