// StatusLogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VaxTeleServerApp.h"
#include "StatusLogDlg.h"
#include "MySheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStatusLogDlg property page

IMPLEMENT_DYNCREATE(CStatusLogDlg, CPropertyPage)

CStatusLogDlg::CStatusLogDlg() : CPropertyPage(CStatusLogDlg::IDD)
{
	//{{AFX_DATA_INIT(CStatusLogDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_psp.dwFlags &= ~PSP_HASHELP;  // Lose the Help button
}

CStatusLogDlg::~CStatusLogDlg()
{
}

void CStatusLogDlg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStatusLogDlg)
	DDX_Control(pDX, IDC_LIST_STATUS_LOG, m_ctrlStatusLogList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStatusLogDlg, CPropertyPage)
	//{{AFX_MSG_MAP(CStatusLogDlg)
	ON_BN_CLICKED(IDC_BUTTON_CLEAR, OnButtonClear)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStatusLogDlg message handlers

void CStatusLogDlg::OnStatusLog(LPCTSTR sStatus)
{
	m_ctrlStatusLogList.AddString(sStatus);

	CString sCaption;
	sCaption.Format("Status log (%d)", m_ctrlStatusLogList.GetCount());

	CMySheet* pMySheet = (CMySheet*) GetParent();
	pMySheet->SetPageTitle(sCaption, 6);
}

void CStatusLogDlg::OnButtonClear() 
{
	m_ctrlStatusLogList.ResetContent();
	
	CMySheet* pMySheet = (CMySheet*) GetParent();
	pMySheet->SetPageTitle("Status log (0)", 6);
	
}


BOOL CStatusLogDlg::OnSetActive()
{
	// TODO: Add your specialized code here and/or call the base class

	//MessageBox("StatusLogDlg - OnSetActivePage", "", MB_OK);

	return CPropertyPage::OnSetActive();
}
