#include "StdAfx.h"
#include "VaxChat.h"
#include "VaxServerExCOM.h"

CVaxChat::CVaxChat(CVaxServerExCOM* pServerExCOM)
{
	m_pServerExCOM = pServerExCOM;
}

CVaxChat::~CVaxChat(void)
{
}

void CVaxChat::OnChatMessageText(LONG lChatMsgId, LPCTSTR sMsgFrom, LPCTSTR sMsgTo, LPCTSTR sMsgText, LONG lFromPeerType, LPCTSTR sFromPeerName, LPCTSTR sFromIP, LONG lFromPort)
{
	BOOL bResult = CVaxServerExCOM::m_pVaxServerExCOM->AcceptChatMessage(lChatMsgId, VAX_PEER_TYPE_USER, sMsgTo);
}

void CVaxChat::OnChatMessageTyping(LONG lChatMsgId, LPCTSTR sMsgFrom, LPCTSTR sMsgTo, BOOL IsTypingStart, LONG lFromPeerType, LPCTSTR sFromPeerName, LPCTSTR sFromIP, LONG lFromPort)
{
	BOOL bResult = CVaxServerExCOM::m_pVaxServerExCOM->AcceptChatMessage(lChatMsgId, VAX_PEER_TYPE_USER, sMsgTo);
}

void CVaxChat::OnChatStatusSubscribe(LONG lSubscrbId, LPCTSTR sMsgFrom, LPCTSTR sMsgTo, LONG lFromPeerType, LPCTSTR sFromPeerName, LPCTSTR sFromIP, LONG lFromPort)
{
	BOOL bResult = CVaxServerExCOM::m_pVaxServerExCOM->AcceptChatStatusSubscribe(lSubscrbId, sMsgFrom, sMsgTo, VAX_PEER_TYPE_USER, sMsgTo);
}

void CVaxChat::OnChatMessageSuccess(LONG lChatMsgId)
{
	CString sStatus;
	sStatus.Format("Message Send Success with ID: %d", lChatMsgId);
}

void CVaxChat::OnChatMessageFailed(LONG lChatMsgId, LONG lStatusId, LPCTSTR sReasonPhrase)
{
	CString sStatus;
	sStatus.Format("Message Send Failure with ID: %d", lChatMsgId);
}

void CVaxChat::OnChatMessageTimeout(LONG lChatMsgId)
{
	CString sStatus;
	sStatus.Format("Message Send Timeout with ID: %d", lChatMsgId);
}

