﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.Linq;
using System.Text;

namespace ServerSIP
{
    class cVaxRegUser
    {
        public cVaxRegUser()
        {
        }
        
        ~cVaxRegUser()
        {
        }

        //////////////////////////////////////////////////////////////////////////////
        //////////////////////////////////////////////////////////////////////////////

        public void OnRegisterUser(string sUserLogin, string sDomain, string sUserAgentName, string sFromIP, int nFromPort, int nRegId)
        {
            if(cVaxServerExCOM.m_objVaxServerExCOM.IsUserBlocked(sUserLogin))
	        {
                cVaxServerExCOM.m_objVaxServerExCOM.RejectRegister(nRegId, 404, "Not Found");
		        return;
	        }

            cVaxServerExCOM.m_objVaxServerExCOM.AuthRegister(nRegId);

            string sStatus = sUserLogin + " " + cDefine.USER_REG_TRYING;
            cVaxServerExCOM.m_objVaxServerExCOM.GenStatusLog(sStatus);
        }

        public void OnRegisterUserSuccess(string sUserLogin, string sFromIP, int nFromPort, int nRegId)
        {
	        string sStatus = sUserLogin + " " + cDefine.USER_REG_SUCCESS;
            cVaxServerExCOM.m_objVaxServerExCOM.GenStatusLog(sStatus);
        }

        public void OnRegisterUserFailed(string sUserLogin, string sFromIP, int nFromPort, int nRegId)
        {
            string sStatus = sUserLogin + " " + cDefine.USER_REG_FAILED;
            cVaxServerExCOM.m_objVaxServerExCOM.GenStatusLog(sStatus);
        }

        public void OnUnRegisterUser(string sUserLogin)
        {
            string sStatus = sUserLogin + " " + cDefine.USER_UNREGISTER;
            cVaxServerExCOM.m_objVaxServerExCOM.GenStatusLog(sStatus);
        }
    }
}
